package com.hxhq.business.dto.gyzj;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * @author 15881
 */
public class ListDto {
    /** id */
    private Long id;

    /** resourceId */
    private Long resourceId;

    /** 名称 */
    private String mc;

    /** 编号 */
    private String bh;

    /** 浓度 */
    private String nd;

    /** 浓度单位 */
    private String nddw;

    /** 库存 */
    private String kc;

    /** 库存单位 */
    private String kcdw;

    /** 失效日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sxrq;

    /** 制剂状态：1：入库；3：已发放；5：已锁定；7：待归档；9：归档；11：待解档 */
    private Integer zjzt;

    /** 借阅状态 1:未借阅 3:待借阅 5:借阅中 */
    private Integer jyzt;

    /** 编辑状态 1:未编辑 3:审核中 */
    private Integer bjzt;

    /** 库存编辑状态 1:未编辑 3:审核中 */
    private Integer kcbjzt;

    /** 容器状态：1:未处置 3:已处置 */
    private Integer rqzt;

    /** 归还状态：1：未申请；3：申请归还 */
    private Integer ghzt;

    /** 入库申请状态：1：未申请；3：申请入库*/
    private Integer rksqzt;

    /** 存储状态：1：取出；3：存储*/
    private Integer cczt;

    /** 暂存柜 */
    private String zcgMc;

    /** 存储条件 */
    private String cctj;

    /** 存储位置 */
    private String ccwz;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 出库量 */
    private String ckl;

    /** 出库量单位 */
    private String ckldw;

    /** 发放转移条件 */
    private String ffzytj;

    /** 出库毛重 */
    private String ckmz;

    /** 出库毛重单位 */
    private String ckmzdw;


    /** 发放备注 */
    private String ffbz;

    /** 试验归还状态：1：未归还；10：已归还*/
    private Integer syghzt;

    /** 发放目的名称 */
    private String mdMcs;

    /** 发放目的其他 */
    private String mdOther;
    /** 借阅开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date jyksrq;

    /** 借阅结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date jyjsrq;

    /** 所属试验 */
    private String studyMc;

    /** 归档申请人id */
    private Long gdsqrId;

    public Long getGdsqrId() {
        return gdsqrId;
    }

    public void setGdsqrId(Long gdsqrId) {
        this.gdsqrId = gdsqrId;
    }

    public String getStudyMc() {
        return studyMc;
    }

    public void setStudyMc(String studyMc) {
        this.studyMc = studyMc;
    }

    public Date getJyksrq() {
        return jyksrq;
    }

    public void setJyksrq(Date jyksrq) {
        this.jyksrq = jyksrq;
    }

    public Date getJyjsrq() {
        return jyjsrq;
    }

    public void setJyjsrq(Date jyjsrq) {
        this.jyjsrq = jyjsrq;
    }

    public Long getResourceId() {
        return resourceId;
    }

    public void setResourceId(Long resourceId) {
        this.resourceId = resourceId;
    }

    public Integer getCczt() {
        return cczt;
    }

    public void setCczt(Integer cczt) {
        this.cczt = cczt;
    }

    public Integer getRksqzt() {
        return rksqzt;
    }

    public void setRksqzt(Integer rksqzt) {
        this.rksqzt = rksqzt;
    }

    public String getMdMcs() {
        return mdMcs;
    }

    public void setMdMcs(String mdMcs) {
        this.mdMcs = mdMcs;
    }

    public String getMdOther() {
        return mdOther;
    }

    public void setMdOther(String mdOther) {
        this.mdOther = mdOther;
    }

    public Integer getSyghzt() {
        return syghzt;
    }

    public void setSyghzt(Integer syghzt) {
        this.syghzt = syghzt;
    }

    public Integer getGhzt() {
        return ghzt;
    }

    public void setGhzt(Integer ghzt) {
        this.ghzt = ghzt;
    }

    public String getCkl() {
        return ckl;
    }

    public void setCkl(String ckl) {
        this.ckl = ckl;
    }

    public String getCkldw() {
        return ckldw;
    }

    public void setCkldw(String ckldw) {
        this.ckldw = ckldw;
    }

    public String getFfzytj() {
        return ffzytj;
    }

    public void setFfzytj(String ffzytj) {
        this.ffzytj = ffzytj;
    }

    public String getCkmz() {
        return ckmz;
    }

    public void setCkmz(String ckmz) {
        this.ckmz = ckmz;
    }

    public String getCkmzdw() {
        return ckmzdw;
    }

    public void setCkmzdw(String ckmzdw) {
        this.ckmzdw = ckmzdw;
    }



    public String getFfbz() {
        return ffbz;
    }

    public void setFfbz(String ffbz) {
        this.ffbz = ffbz;
    }

    public Integer getRqzt() {
        return rqzt;
    }

    public void setRqzt(Integer rqzt) {
        this.rqzt = rqzt;
    }

    public Integer getBjzt() {
        return bjzt;
    }

    public void setBjzt(Integer bjzt) {
        this.bjzt = bjzt;
    }

    public Integer getKcbjzt() {
        return kcbjzt;
    }

    public void setKcbjzt(Integer kcbjzt) {
        this.kcbjzt = kcbjzt;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getMc() {
        return mc;
    }

    public void setMc(String mc) {
        this.mc = mc;
    }

    public String getBh() {
        return bh;
    }

    public void setBh(String bh) {
        this.bh = bh;
    }

    public String getNd() {
        return nd;
    }

    public void setNd(String nd) {
        this.nd = nd;
    }

    public String getNddw() {
        return nddw;
    }

    public void setNddw(String nddw) {
        this.nddw = nddw;
    }

    public String getKc() {
        return kc;
    }

    public void setKc(String kc) {
        this.kc = kc;
    }

    public String getKcdw() {
        return kcdw;
    }

    public void setKcdw(String kcdw) {
        this.kcdw = kcdw;
    }

    public Date getSxrq() {
        return sxrq;
    }

    public void setSxrq(Date sxrq) {
        this.sxrq = sxrq;
    }

    public Integer getZjzt() {
        return zjzt;
    }

    public void setZjzt(Integer zjzt) {
        this.zjzt = zjzt;
    }

    public Integer getJyzt() {
        return jyzt;
    }

    public void setJyzt(Integer jyzt) {
        this.jyzt = jyzt;
    }

    public String getZcgMc() {
        return zcgMc;
    }

    public void setZcgMc(String zcgMc) {
        this.zcgMc = zcgMc;
    }

    public String getCctj() {
        return cctj;
    }

    public void setCctj(String cctj) {
        this.cctj = cctj;
    }

    public String getCcwz() {
        return ccwz;
    }

    public void setCcwz(String ccwz) {
        this.ccwz = ccwz;
    }
}
